Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.custom
Class CTabFolder2Adapter

    java.lang.Object
      org.eclipse.swt.custom.CTabFolder2Adapter

All Implemented Interfaces:
  CTabFolder2Listener

public class CTabFolder2Adapter
extends Object
implements CTabFolder2Listener

This adapter class provides default implementations for the methods described by the `CTabFolder2Listener` interface.

Classes that wish to deal with `CTabFolderEvent`s can extend this class and override only the methods which they are interested in.

Since:
  1.0
See Also:
  `CTabFolder2Listener`, `CTabFolderEvent`

Constructor Summary
`CTabFolder2Adapter()`

Method Summary
`void` `close(CTabFolderEvent event)` Sent when the user clicks on the close button of an item in the CTabFolder.
`void` `maximize(CTabFolderEvent event)` Sent when the user clicks on the maximize button of a CTabFolder.
`void` `minimize(CTabFolderEvent event)` Sent when the user clicks on the minimize button of a CTabFolder.
`void` `restore(CTabFolderEvent event)` Sent when the user clicks on the restore button of a CTabFolder.
`void` `showList(CTabFolderEvent event)` Sent when the user clicks on the chevron button of a CTabFolder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CTabFolder2Adapter

    public CTabFolder2Adapter()

Method Detail

### close

    public void close(CTabFolderEvent event)

  Sent when the user clicks on the close button of an item in the CTabFolder. The item being closed is specified in the event.item field. Setting the event.doit field to false will stop the CTabItem from closing. When the CTabItem is closed, it is disposed. The contents of the CTabItem (see CTabItem#setControl) will be made not visible when the CTabItem is closed.

  The default behaviour is to close the CTabItem.

  Specified by:
    `close` in interface `CTabFolder2Listener`
  Parameters:
    `event` - an event indicating the item being closed

### minimize

    public void minimize(CTabFolderEvent event)

  Sent when the user clicks on the minimize button of a CTabFolder.

  The default behaviour is to do nothing.

  Specified by:
    `minimize` in interface `CTabFolder2Listener`
  Parameters:
    `event` - an event containing information about the minimize
  See Also:
    `CTabFolder.getMinimized()`, `CTabFolder.setMinimized(boolean)`, `CTabFolder.setMinimizeVisible(boolean)`

### maximize

    public void maximize(CTabFolderEvent event)

  Sent when the user clicks on the maximize button of a CTabFolder.

  The default behaviour is to do nothing.

  Specified by:
    `maximize` in interface `CTabFolder2Listener`
  Parameters:
    `event` - an event containing information about the maximize
  See Also:
    `CTabFolder.getMaximized()`, `CTabFolder.setMaximized(boolean)`, `CTabFolder.setMaximizeVisible(boolean)`

### restore

    public void restore(CTabFolderEvent event)

  Sent when the user clicks on the restore button of a CTabFolder.

  The default behaviour is to do nothing.

  Specified by:
    `restore` in interface `CTabFolder2Listener`
  Parameters:
    `event` - an event containing information about the restore
  See Also:
    `CTabFolder.getMinimized()`, `CTabFolder.getMaximized()`, `CTabFolder.setMinimized(boolean)`, `CTabFolder.setMinimizeVisible(boolean)`, `CTabFolder.setMaximized(boolean)`, `CTabFolder.setMaximizeVisible(boolean)`

### showList

    public void showList(CTabFolderEvent event)

  Sent when the user clicks on the chevron button of a CTabFolder.

  The default behaviour is to show a list of items that are not currently visible and to change the selection based on the item selected from the list.

  Specified by:
    `showList` in interface `CTabFolder2Listener`
  Parameters:
    `event` - an event containing information about the show list
  See Also:
    `CTabFolder.setSelection(CTabItem)`

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.